#! /bin/sh
####################################################
# Description
# Check SSL certificates and JKS store files for
# Webhook listener for message bus probe 
####################################################
# Read command line arguments
####################################################
if [ $# -ne 2 ]
then
echo
echo "Usage : `basename $0` [JKSPASSWORD] [JAVA_HOME]"
echo
echo "where JAVA_HOME is the path to Java"
echo "and JKSPASSWORD is the store files password"
exit
fi
####################################################
# Server and Client FQDN
####################################################
PASSPHRASE=${1}
JAVA_HOME=${2}
export PASSPHRASE JAVA_HOME
####################################################
# Check java
####################################################
if [ ! -f ${JAVA_HOME}/bin/keytool ]
then
echo "Did not find keytool in : ${JAVA_HOME}/bin"
exit
fi
####################################################
# Set path to common java
####################################################
PATH=${JAVA_HOME}/bin:$PATH
####################################################
# List files
####################################################
echo "*** Listing files"
echo "****  ROOTCA: CERTS/caroot.cert"
keytool -printcert -v -file CERTS/caroot.cert
echo "****  CERTS/KeyStore.jks:"
keytool -v -list -keystore CERTS/KeyStore.jks -storepass ${PASSPHRASE}
echo "****  CERTS/TrustStore.jks:"
keytool -v -list -keystore CERTS/TrustStore.jks -storepass ${PASSPHRASE}

#EOF
